Subject: Re: bug#70246: 30.0.50; Update INSTALL for native compilation

From: Stephen Berman <[email-masked]>
Date: Mon, 08 Apr 2024 14:01:18 +0200

On Mon, 08 Apr 2024 14:10:12 +0300 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 07 Apr 2024 21:14:08 +0200
>>
[...]
>> @@ -574,6 +601,11 @@ are installed in the following directories:
>>  		at the same time; in particular, you don't have to
>>  		make Emacs unavailable while installing a new version.
>>
>> +'/usr/local/lib/emacs/VERSION/native-lisp' holds the natively compiled
>> +		pre-loaded Emacs Lisp files.
>> +
>> +'~/.emacs.d/eln-cache/' holds the remaining natively compiled Lisp files.
>> +
>>  '/usr/local/share/emacs/VERSION/etc' holds the Emacs tutorial, the DOC
>>  		file, and other architecture-independent files Emacs
>>  		might need while running.
>
> Here you didn't make the change I suggested:
>
>> > +'/usr/local/lib/emacs/VERSION/native-lisp' holds the natively compiled
>> > +		pre-loaded Emacs Lisp files.
>>
>> The above also contains the other Lisp files if using the
>> "--with-native-compilation=aot" configure-time option.
>>
>> > +'~/.emacs.d/eln-cache/' holds the remaining natively compiled Lisp files.
>>
>> Instead of "remaining" I'd say "just-in-time natively compiled Lisp
>> files".
>
> Without that, these are a bit inaccurate, and could be misinterpreted.

Oops, those were unintentional omissions.  I'm glad I asked you to
eyeball the patch again, and thanks for catching them!  Now corrected.

> Other that that, the patch LGTM, thanks.

Thanks, pushed as commit b9b2bc7192e to master.

Steve Berman